Bug 1008546 - Missing javadoc for org.apache.xerces
Missing javadoc for org.apache.xerces
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Other (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity high
: ER7
: EAP 6.3.0
Assigned To: Yong Yang
Jakub Cechacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 10:58 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:38:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-09-16 10:58:45 EDT
Current javadoc is missing documentation for following jars and packages 

/home/jcechace/tools/eap/eap6/620/jboss-eap-6.2/modules/system/layers/base/org/apache/xerces/main/xercesImpl-2.9.1-redhat-4.jar
38 missing:
   org.apache.html.dom
   org.apache.wml
   org.apache.wml.dom
   org.apache.xerces.dom
   org.apache.xerces.dom.events
   org.apache.xerces.dom3.as
   org.apache.xerces.impl
   org.apache.xerces.impl.dtd
   org.apache.xerces.impl.dtd.models
   org.apache.xerces.impl.dv
   org.apache.xerces.impl.dv.dtd
   org.apache.xerces.impl.dv.util
   org.apache.xerces.impl.dv.xs
   org.apache.xerces.impl.io
   org.apache.xerces.impl.msg
   org.apache.xerces.impl.validation
   org.apache.xerces.impl.xpath
   org.apache.xerces.impl.xpath.regex
   org.apache.xerces.impl.xs
   org.apache.xerces.impl.xs.identity
   org.apache.xerces.impl.xs.models
   org.apache.xerces.impl.xs.opti
   org.apache.xerces.impl.xs.traversers
   org.apache.xerces.impl.xs.util
   org.apache.xerces.jaxp
   org.apache.xerces.jaxp.datatype
   org.apache.xerces.jaxp.validation
   org.apache.xerces.parsers
   org.apache.xerces.util
   org.apache.xerces.xinclude
   org.apache.xerces.xni
   org.apache.xerces.xni.grammars
   org.apache.xerces.xni.parser
   org.apache.xerces.xpointer
   org.apache.xerces.xs
   org.apache.xerces.xs.datatypes
   org.apache.xml.serialize
   org.w3c.dom.html
Comment 1 Misty Stanley-Jones 2013-10-09 23:16:50 EDT
I'm not sure what the right component is for Javadoc bugs, but Documentation should be used for formal documentation maintained by Content Services. Javadoc does not fall under this category. Maybe we need a new component for it?
Comment 2 Yong Yang 2013-10-14 02:50:50 EDT
xercesImpl 2.9.1.redhat-5 has sources jar now, will generate javadocs in next ER.

http://download.eng.bos.redhat.com/brewroot/repos/jb-eap-6-rhel-6-build/latest/maven/xerces/xercesImpl/2.9.1.redhat-5/
Comment 3 Yong Yang 2013-10-23 23:23:27 EDT
Version has updated in jboss-eap upstream.

https://github.com/jbossas/jboss-eap/commit/1dbfb13f8c312824ead8edf97420ea05c7acf3fd
Comment 4 Jakub Cechacek 2013-12-05 03:45:41 EST
Following are still missing in 6.2.0.CR3 build (GA):

/home/jcechace/tools/eap/eap6/620/cr3/jboss-eap-6.2/modules/system/layers/base/org/apache/xerces/main/xercesImpl-2.9.1.redhat-5.jar
38 missing:
   org.apache.xerces.jaxp
   org.apache.xerces.jaxp.validation
   org.apache.xerces.jaxp.datatype
   org.apache.xerces.xinclude
   org.apache.xerces.parsers
   org.apache.xerces.impl
   org.apache.xerces.impl.dv
   org.apache.xerces.impl.dv.util
   org.apache.xerces.impl.dv.dtd
   org.apache.xerces.impl.dv.xs
   org.apache.xerces.impl.validation
   org.apache.xerces.impl.io
   org.apache.xerces.impl.xpath
   org.apache.xerces.impl.xpath.regex
   org.apache.xerces.impl.msg
   org.apache.xerces.impl.dtd
   org.apache.xerces.impl.dtd.models
   org.apache.xerces.impl.xs.models
   org.apache.xerces.impl.xs
   org.apache.xerces.impl.xs.traversers
   org.apache.xerces.impl.xs.util
   org.apache.xerces.impl.xs.identity
   org.apache.xerces.impl.xs.opti
   org.apache.xerces.dom
   org.apache.xerces.dom.events
   org.apache.xerces.dom3.as
   org.apache.xerces.xni
   org.apache.xerces.xni.parser
   org.apache.xerces.xni.grammars
   org.apache.xerces.util
   org.apache.xerces.xs
   org.apache.xerces.xs.datatypes
   org.apache.xerces.xpointer
   org.apache.xml.serialize
   org.apache.wml
   org.apache.wml.dom
   org.apache.html.dom
   org.w3c.dom.html
Comment 5 Yong Yang 2014-04-16 08:20:19 EDT
All directories are in 6.3.0 javadoc jar, https://brewweb.devel.redhat.com/buildinfo?buildID=348645

FYI:
[yyang@localhost temp]$ tree org/apache/xerces/ -d -L 1
org/apache/xerces/
├── dom
├── dom3
├── impl
├── jaxp
├── parsers
├── util
├── xinclude
├── xni
├── xpointer
└── xs
[yyang@localhost temp]$ tree org/apache/wml/ -d -L 1
org/apache/wml/
├── class-use
└── dom

2 directories
[yyang@localhost temp]$ tree org/apache/html/ -d -L 1
org/apache/html/
└── dom

1 directory
[yyang@localhost temp]$ tree org/w3c/dom/html/ -d -L 1
org/w3c/dom/html/
└── class-use

1 directory

[yyang@localhost temp]$ tree org/apache/xml/serialize/ -d -L 1
org/apache/xml/serialize/
└── class-use
Comment 6 Jakub Cechacek 2014-06-13 04:51:50 EDT
Verified ER7

Note You need to log in before you can comment on or make changes to this bug.